# Microsoft.Samples.DirectX.UtilityToolkit.Element Class Reference

Contains all the display tweakables for a sub-control. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Element:

[legend]

List of all members.

## Public Member Functions
void | SetTexture (uint tex, System.Drawing.Rectangle texRect, ColorValue defaultTextureColor)
| Set the texture.
void | SetTexture (uint tex, System.Drawing.Rectangle texRect)
| Set the texture.
void | SetFont (uint font, ColorValue defaultFontColor, DrawTextFormat format)
| Set the font.
void | SetFont (uint font)
| Set the font.
void | Refresh ()
| Refresh this element.
Element | Clone ()
| Clone an object.
void | SetTexture (uint tex, System.Drawing.Rectangle texRect, ColorValue defaultTextureColor)
| Set the texture.
void | SetTexture (uint tex, System.Drawing.Rectangle texRect)
| Set the texture.
void | SetFont (uint font, ColorValue defaultFontColor, DrawTextFormat format)
| Set the font.
void | SetFont (uint font)
| Set the font.
void | Refresh ()
| Refresh this element.
Element | Clone ()
| Clone an object.
void | SetTexture (uint tex, System.Drawing.Rectangle texRect, ColorValue defaultTextureColor)
| Set the texture.
void | SetTexture (uint tex, System.Drawing.Rectangle texRect)
| Set the texture.
void | SetFont (uint font, ColorValue defaultFontColor, DrawStringFormat format)
| Set the font.
void | SetFont (uint font)
| Set the font.
void | Refresh ()
| Refresh this element.
Element | Clone ()
| Clone an object.
## Public Attributes
uint | TextureIndex
uint | FontIndex
DrawTextFormat | textFormat
System.Drawing.Rectangle | textureRect
BlendColor | TextureColor
BlendColor | FontColor
DrawStringFormat | stringFormat

## Detailed Description

Contains all the display tweakables for a sub-control.

Definition at line 97 of file dxmutgui.cs.

## Member Function Documentation

Element Microsoft.Samples.DirectX.UtilityToolkit.Element.Clone | ( |  | ) |

Clone an object.

Definition at line 147 of file wdxmutgui.cs.

Element Microsoft.Samples.DirectX.UtilityToolkit.Element.Clone | ( |  | ) |

Clone an object.

Definition at line 146 of file dxmutgui.cs.

Element Microsoft.Samples.DirectX.UtilityToolkit.Element.Clone | ( |  | ) |

Clone an object.

Definition at line 146 of file dxmutgui.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.Refresh | ( |  | ) |

Refresh this element.

Definition at line 137 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.Refresh | ( |  | ) |

Refresh this element.

Definition at line 136 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.Refresh | ( |  | ) |

Refresh this element.

Definition at line 136 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font | ) |

Set the font.

Definition at line 133 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font,
|  | ColorValue | defaultFontColor,
|  | DrawStringFormat | format |
| ) |  |  |

Set the font.

Definition at line 125 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font | ) |

Set the font.

Definition at line 132 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font,
|  | ColorValue | defaultFontColor,
|  | DrawTextFormat | format |
| ) |  |  |

Set the font.

Definition at line 124 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font | ) |

Set the font.

Definition at line 132 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetFont | ( | uint | font,
|  | ColorValue | defaultFontColor,
|  | DrawTextFormat | format |
| ) |  |  |

Set the font.

Definition at line 124 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect |
| ) |  |  |

Set the texture.

Definition at line 123 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect,
|  | ColorValue | defaultTextureColor |
| ) |  |  |

Set the texture.

Definition at line 115 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect |
| ) |  |  |

Set the texture.

Definition at line 122 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect,
|  | ColorValue | defaultTextureColor |
| ) |  |  |

Set the texture.

Definition at line 114 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect |
| ) |  |  |

Set the texture.

Definition at line 122 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Element.SetTexture | ( | uint | tex,
|  | System.Drawing.Rectangle | texRect,
|  | ColorValue | defaultTextureColor |
| ) |  |  |

Set the texture.

Definition at line 114 of file dxmutgui.cs.

## Member Data Documentation

BlendColor Microsoft::Samples::DirectX::UtilityToolkit.Element::FontColor

Definition at line 110 of file dxmutgui.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.Element::FontIndex

Definition at line 104 of file dxmutgui.cs.

DrawStringFormat Microsoft.Samples.DirectX.UtilityToolkit.Element.stringFormat

Definition at line 106 of file wdxmutgui.cs.

DrawTextFormat Microsoft::Samples::DirectX::UtilityToolkit.Element::textFormat

Definition at line 105 of file dxmutgui.cs.

BlendColor Microsoft::Samples::DirectX::UtilityToolkit.Element::TextureColor

Definition at line 109 of file dxmutgui.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.Element::TextureIndex

Definition at line 103 of file dxmutgui.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Element::textureRect

Definition at line 107 of file dxmutgui.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs